
Core - Task # 57096

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56052 (Resolved): Implement CSRF Protection for ajax.php

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-03-20 Assigned To:
Updated: 2014-03-23 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Cleanup Ajax URL JS settings
Description

Related issues:
related to Core APIs - Bug # 56347: Document new API to register an Ajax hand... Resolved 2014-02-26

Associated revisions
Revision 7ccbb22f - 2014-03-23 10:31 - Helmut Hummel

[TASK] Cleanup Ajax URL inline settings

This change streamlines the use of Ajax URLs
by auto-publishing all Ajax URLs to JavaScript
inline settings.

All Ajax URLs can now also be looked up in
JavaScript by providing the AjaxID like that:

var ajaxUrl = TYPO3.settings.ajaxUrls['TxMyExt::process'];

All code has been adapted to reflect this change.

Resolves: #57096
Documentation: #56347
Releases: 6.2
Change-Id: I4a441f51dcb3551874082077c52918b3fc6a9b0f
Reviewed-on: https://review.typo3.org/28602
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision d59dac0d - 2014-03-23 11:15 - Stefan Neufeind

[TASK] Followup to "Cleanup Ajax URL inline settings"

commit 7ccbb22f3c28b38ed6879d0c768b0424a2253276
added ajaxUrls to TYPO3.settings. The functional test
needs to be adapted accordingly

Change-Id: I24267feaab39f0260db934e2151f33c948036080
Resolves: #57096
Releases: 6.2
Reviewed-on: https://review.typo3.org/28658
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-03-21 13:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28602

#2 - 2014-03-21 22:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28602

#3 - 2014-03-22 18:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28602

#4 - 2014-03-22 23:24 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28602

#5 - 2014-03-23 11:00 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28658

#6 - 2014-03-23 11:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d59dac0d01e4ce1ebece13bdf200bd3b8e5713d4.
